New Updater conflict

Another new social marketing plugin from wordpress.org is conflicting with this plugin updater.

See screenshot.

Maybe a slug and name change is required, or something more.

Thanks